WizardStepModel (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.client.model

## Class WizardStepModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - com.extjs.gxt.ui.client.data.BaseTreeModel
      - - org.gcube.portlets.admin.vredefinition.client.model.WizardStepModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, com.extjs.gxt.ui.client.data.TreeModel, Serializable

      public class WizardStepModel
      extends com.extjs.gxt.ui.client.data.BaseTreeModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseTreeModel

      `children, parent`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WizardStepModel(String name, String icon, WizardStepType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIcon()`
    `String` | `getName()`
    `WizardStepType` | `getType()`
    `void` | `setIcon(String icon)`
    `void` | `setName(String name)`
    `void` | `setType(WizardStepType type)`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseTreeModel

      `add, getChild, getChildCount, getChildren, getParent, indexOf, insert, isLeaf, notify, remove, remove, removeAll, setChildren, setParent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get, getProperties, getPropertyNames, remove, set`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `addChangeListener, removeChangeListener, removeChangeListeners, setSilent`

- - ### Constructor Detail

    - #### WizardStepModel

          public WizardStepModel(String name,
                         String icon,
                         WizardStepType type)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public WizardStepType getType()

    - #### setType

          public void setType(WizardStepType type)

    - #### setIcon

          public void setIcon(String icon)

    - #### getIcon

          public String getIcon()

Copyright © 2016. All Rights Reserved.